import { Grid2 } from "@mui/material";
import { FC } from "react";

type SetupLogItemProps = {
  children?: string;
};

export const SetupLogItem: FC<SetupLogItemProps> = ({ children }) => {
  return (
    <Grid2
      color="lightgreen"
      container
      fontFamily="JetBrainsMono"
      fontSize="0.9rem"
      spacing={1}
    >
      <Grid2 size="auto">&gt;</Grid2>
      <Grid2
        size="grow"
        sx={{
          wordBreak: "break-word",
        }}
      >
        {children}
      </Grid2>
    </Grid2>
  );
};
